Mailinglist Archive: yast-devel (191 mails)

< Previous Next >
Re: [yast-devel] Package-Bindings
  • From: Klaus Kaempf <kkaempf@xxxxxxx>
  • Date: Wed, 19 Mar 2008 16:26:46 +0100
  • Message-id: <20080319152646.GA2314@xxxxxxxxxxxxx>
* Stefan Hundhammer <sh@xxxxxxx> [Mar 19. 2008 16:11]:

The selection of packagages eligible for update is a (sat-)solver
function, taking solver policies and conflict resolution into account.

Sure. But that's the system update. That's different.

I am talking about 'install available updates to the packages I have
installed'. Blindly grabbing (or schowing) all newer versions has a high
probability of failure. Just think of kernel vs. driver. A kernel update
might break an installed driver and a newer driver might not match my
kernel.

The sat-solver algorithm ensures that such conflicts are properly
resolved.

Klaus
---
SUSE LINUX Products GmbH, GF: Markus Rex, HRB 16746 (AG N├╝rnberg)

--
To unsubscribe, e-mail: yast-devel+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: yast-devel+help@xxxxxxxxxxxx

< Previous Next >